com.impinj.stp

## Interface StpApi.CartonContentsReportOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.CartonContentsReport, StpApi.CartonContentsReport.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.CartonContentsReportOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.CartonContentsError` | `getCartonContentsError(int index)`
    `int` | `getCartonContentsErrorCount()`
    `java.util.List<StpApi.CartonContentsError>` | `getCartonContentsErrorList()`
    `StpApi.CartonContentsErrorOrBuilder` | `getCartonContentsErrorOrBuilder(int index)`
    `java.util.List<? extends StpApi.CartonContentsErrorOrBuilder>` | `getCartonContentsErrorOrBuilderList()`
    `StpApi.CartonContentsResult` | `getCartonContentsResult()`
    `StpApi.CartonContentsTag` | `getCartonContentsTag(int index)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `int` | `getCartonContentsTagCount()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `java.util.List<StpApi.CartonContentsTag>` | `getCartonContentsTagList()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsTagOrBuilder` | `getCartonContentsTagOrBuilder(int index)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `java.util.List<? extends StpApi.CartonContentsTagOrBuilder>` | `getCartonContentsTagOrBuilderList()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `int` | `getCartonSize()` Detected carton size in millimeters
    `StpApi.Timestamp` | `getEnterTimestamp()` Timestamp of the start trigger
    `StpApi.TimestampOrBuilder` | `getEnterTimestampOrBuilder()` Timestamp of the start trigger
    `StpApi.Timestamp` | `getExitTimestamp()` Timestamp of the stop trigger
    `StpApi.TimestampOrBuilder` | `getExitTimestampOrBuilder()` Timestamp of the stop trigger
    `StpApi.Timestamp` | `getStartTimestamp()` DEPRECATED
    `StpApi.TimestampOrBuilder` | `getStartTimestampOrBuilder()` DEPRECATED
    `StpApi.Timestamp` | `getStopTimestamp()` DEPRECATED
    `StpApi.TimestampOrBuilder` | `getStopTimestampOrBuilder()` DEPRECATED
    `boolean` | `hasCartonContentsResult()`
    `boolean` | `hasCartonSize()` Detected carton size in millimeters
    `boolean` | `hasEnterTimestamp()` Timestamp of the start trigger
    `boolean` | `hasExitTimestamp()` Timestamp of the stop trigger
    `boolean` | `hasStartTimestamp()` DEPRECATED
    `boolean` | `hasStopTimestamp()` DEPRECATED

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasCartonContentsResult

          boolean hasCartonContentsResult()

    - #### getCartonContentsResult

          StpApi.CartonContentsResult getCartonContentsResult()

    - #### hasEnterTimestamp

          boolean hasEnterTimestamp()

      Timestamp of the start trigger

    - #### getEnterTimestamp

          StpApi.Timestamp getEnterTimestamp()

      Timestamp of the start trigger

    - #### getEnterTimestampOrBuilder

          StpApi.TimestampOrBuilder getEnterTimestampOrBuilder()

      Timestamp of the start trigger

    - #### hasExitTimestamp

          boolean hasExitTimestamp()

      Timestamp of the stop trigger

    - #### getExitTimestamp

          StpApi.Timestamp getExitTimestamp()

      Timestamp of the stop trigger

    - #### getExitTimestampOrBuilder

          StpApi.TimestampOrBuilder getExitTimestampOrBuilder()

      Timestamp of the stop trigger

    - #### hasCartonSize

          boolean hasCartonSize()

      Detected carton size in millimeters

    - #### getCartonSize

          int getCartonSize()

      Detected carton size in millimeters

    - #### getCartonContentsTagList

          java.util.List<StpApi.CartonContentsTag> getCartonContentsTagList()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### getCartonContentsTag

          StpApi.CartonContentsTag getCartonContentsTag(int index)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### getCartonContentsTagCount

          int getCartonContentsTagCount()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### getCartonContentsTagOrBuilderList

          java.util.List<? extends StpApi.CartonContentsTagOrBuilder> getCartonContentsTagOrBuilderList()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### getCartonContentsTagOrBuilder

          StpApi.CartonContentsTagOrBuilder getCartonContentsTagOrBuilder(int index)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### getCartonContentsErrorList

          java.util.List<StpApi.CartonContentsError> getCartonContentsErrorList()

    - #### getCartonContentsError

          StpApi.CartonContentsError getCartonContentsError(int index)

    - #### getCartonContentsErrorCount

          int getCartonContentsErrorCount()

    - #### getCartonContentsErrorOrBuilderList

          java.util.List<? extends StpApi.CartonContentsErrorOrBuilder> getCartonContentsErrorOrBuilderList()

    - #### getCartonContentsErrorOrBuilder

          StpApi.CartonContentsErrorOrBuilder getCartonContentsErrorOrBuilder(int index)

    - #### hasStartTimestamp

          boolean hasStartTimestamp()

      DEPRECATED

    - #### getStartTimestamp

          StpApi.Timestamp getStartTimestamp()

      DEPRECATED

    - #### getStartTimestampOrBuilder

          StpApi.TimestampOrBuilder getStartTimestampOrBuilder()

      DEPRECATED

    - #### hasStopTimestamp

          boolean hasStopTimestamp()

      DEPRECATED

    - #### getStopTimestamp

          StpApi.Timestamp getStopTimestamp()

      DEPRECATED

    - #### getStopTimestampOrBuilder

          StpApi.TimestampOrBuilder getStopTimestampOrBuilder()

      DEPRECATED